Subject: Re: [alto] Caching ALTO

From: Picconi Fabio <[email-masked]>
Date: Mon, 5 Sep 2011 13:53:43 +0200

Hi,

I'm posting this only now because August has been a slow month... :-)

Regarding caching, I'm writing a draft on "home-gateway based ALTO proxying/caching". The home gateway seems like a nice place to run an ALTO proxy/cache:

- lookup latency: the home gateway is located within the same LAN as the ALTO client.
- simplified discovery: no need for complex discovery mechanisms; the ALTO client can use uPnP/Bonjour style discovery, or even contact the default route IP address on some well-known port.
- load distribution: a gateway-based ALTO cache will offload the ALTO server.

If the gateway's firmware is managed by the ISP (this is common with triple play plans), the ISP can install the ALTO proxy/cache through a remote firmware upgrade. ISPs which agree to provide ALTO information would probably agree to deploy gateway-based ALTO proxies as well.

If the gateway is managed by the user (e.g., openwrt devices), then users can install the ALTO proxy themselves. They may chose to do so to benefit from the reduction in lookup latency.

I will post the I-D in the following days.

Cheers,

Fabio

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Vijay K. Gurbani
Sent: vendredi 29 juillet 2011 02:43
To: Robert Varga
Cc: [email-masked]
Subject: Re: [alto] Caching ALTO

On 07/28/2011 12:56 PM, Robert Varga wrote:
> Thanks for bringing this up, as it slipped my mind. Maybe we could
> design a few optional test cases to catch this at the next interop?

Yes, most definitely.

I had a brief chat with Enrico about this, and after the
IETF is over (and we have heaved a collective sigh of
relief), I will reach out to the folks who had contributed
to the test case document and we will turn it into an
Internet-Draft.

Enrico and I will like to maintain this I-D as a living
document to document the test cases etc. as the protocol
progresses, with the intention that the I-D will eventually
become an Informational RFC.

Thanks,

- vijay
-- 
Vijay K. Gurbani, Bell Laboratories, Alcatel-Lucent
1960 Lucent Lane, Rm. 9C-533, Naperville, Illinois 60566 (USA)
Email: vkg@{bell-labs.com,acm.org} / [email-masked]
Web:   http://ect.bell-labs.com/who/vkg/
_______________________________________________
alto mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/alto